List of all members
clan::BezierCurve Class Reference
clanCore Math

Bezier curve generator. More...

`#include <bezier_curve.h>`

## Public Member Functions
Construction
| BezierCurve ()
| Constructs a bezier curve generator. More...
virtual | ~BezierCurve ()
Attributes
std::vector< Pointf > | get_control_points () const
| Returns the control points of the bezier. More...
Operations
void | add_control_point (float x, float y)
| Adds a control point to bezier. More...
void | add_control_point (const Pointf &)
std::vector< Pointf > | generate_curve_points (const Angle &split_angle)
| Generates points on the bezier curve. More...
Pointf | get_point_relative (float pos_0_to_1) const
| Get a point on the bezier curve. More...

## Detailed Description

Bezier curve generator.

The documentation for this class was generated from the following file:

- bezier_curve.h